# NCollection_DefineDataMap.hxx File Reference

`#include <NCollection_DefineBaseCollection.hxx>`
`#include <NCollection_DataMap.hxx>`

## Defines

#define | DEFINE_DATAMAP(_ClassName_, _BaseCollection_, TheKeyType, TheItemType) typedef NCollection_DataMap<TheKeyType, TheItemType > _ClassName_;

## Define Documentation

#define DEFINE_DATAMAP | ( | _ClassName_,
|  | _BaseCollection_,
|  | TheKeyType,
|  | TheItemType |  | ) | typedef NCollection_DataMap<TheKeyType, TheItemType > _ClassName_;